%define lib_major 0
%define lib_name %mklibname %{name}-private %{lib_major}
%define startup_notification_version 0.4

Summary: Metacity window manager
Name: metacity
Version: 2.8.1
Release: 7mdk
URL: http://ftp.gnome.org/pub/gnome/sources/metacity/
Source0: http://ftp.gnome.org/pub/GNOME/sources/metacity/%{name}-%{version}.tar.bz2
Source1: Wonderland-metacity-0.47.tar.bz2
# (fc) 2.3.987-2mdk use Galaxy as default theme
Patch2: metacity-2.4.34-galaxy.patch.bz2
# (fc) 2.4.0-2mdk metacity no longer use system font
Patch3:	metacity-2.4.0-systemfont.patch.bz2
# (fc) 2.8.1-3mdk choose correct window to focus when unshowing desktop (CVS)
Patch4: metacity-2.8.1-unshow.patch.bz2
# (fc) 2.8.1-3mdk don't output warning when no session manager is running (CVS)
Patch5: metacity-2.8.1-sessionwarning.patch.bz2
# (fc) 2.8.1-3mdk fix focus when using workspace switcher (Mdk bug #10689) (CVS)
Patch6: metacity-2.8.1-focusswitcher.patch.bz2
# (fc) 2.8.1-3mdk assume sticky windows have high priority in MRU list (CVS)
Patch7: metacity-2.8.1-mrusticky.patch.bz2
# (fc) 2.8.1-5mdk fix choice of focus window to be consistent for each mode (CVS)
Patch8: metacity-2.8.1-focusconsistency.patch.bz2
# (fc) 2.8.1-5mdk fix race in choosing window to focus (CVS)
Patch9: metacity-2.8.1-fixfocusrace.patch.bz2

License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libglade2.0-devel
BuildRequires: libGConf2-devel >= 1.1.9
BuildRequires: startup-notification-devel >= %{startup_notification_version}
#gw for the broken intltool scripts
BuildRequires: perl-XML-Parser

%description
Metacity is a simple window manager that integrates nicely with 
GNOME 2.

%package -n %{lib_name}
Summary:        Libraries for Metacity
Group:          System/Libraries

%description -n %{lib_name}
This package contains libraries used by Metacity.

%package -n %{lib_name}-devel
Summary:        Libraries and include files with Metacity
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}-%{release}
Requires:		%{lib_name} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		lib%{name}-private-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include 
files to allow you to develop with Metacity.


%prep
%setup -q
%patch2 -p1 -b .galaxy
%patch3 -p1 -b .systemfont
%patch8 -p1 -b .focusconsistency
%patch4 -p1 -b .unshow
%patch5 -p1 -b .sessionwarning
%patch6 -p1 -b .focusswitcher
%patch7 -p1 -b .mrusticky
%patch9 -p1 -b .fixfocusrace

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes/Wonderland/metacity-1
tar -xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/themes/Wonderland/metacity-1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/metacity.schemas > /dev/null

%preun
if [ "$1" = "0" ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
   gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/metacity.schemas > /dev/null
fi

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING NEWS HACKING ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libexecdir}/metacity-dialog
%{_datadir}/gnome/wm-properties/*
%{_datadir}/metacity
%{_datadir}/pixmaps/*
%{_datadir}/themes/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Tue Oct 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-7mdk
- Update patch6 to completely fix Mdk bug #10689 when using workspace switcher

* Mon Sep 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-6mdk
- Update patch6 with real fix for mdk bug #11359 (Thanks to Elijah)

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-5mdk
- Patch8 (CVS): fix choice of focus window to be consistent for each mode
- Patch9 (CVS): fix race in choosing window to focus
- Regenerate patch 6 (still doesn't fix Mdk bug #11359 completely)

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-4mdk
- Update patch 6 to also fix Mdk bug #11359

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-3mdk
- Patch4 (CVS): choose correct window to focus when unshowing desktop
- Patch5 (CVS): don't output warning when no session manager is running
- Patch6 (CVS): fix focus when using workspace switcher (Mdk bug #10689)
- Patch7 (CVS): assume sticky windows have high priority in MRU list 

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk
- Drop patch 4 (no longer needed)
- enable libtoolize

* Wed May  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- fix source URL
- New release 2.8.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- Release 2.8.0 (with Gtz help)

* Mon Mar  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.5-2mdk
- fix buildrequires

* Mon Feb 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.5-1mdk
- Release 2.6.5
- Remove patch 5 (merged upstream)

* Mon Feb 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-2mdk
- Patch5 (CVS): various bug fixes, including one for Mdk bug #6717

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-1mdk
- Release 2.6.3
- Remove patch 5 (merged upstream)

* Thu Sep 25 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.1-2mdk
- Patch5: 64-bit fixes

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-1mdk
- Release 2.6.0.1

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0

* Fri Sep 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.5.5-1mdk
- Release 2.5.5

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.5.3-2mdk
- Fix BuildRequires

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.5.3-1mdk
- Release 2.5.3

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.5.2-3mdk
- Rebuild for new dependencies

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.5.2-2mdk
- Rebuild against latest ORBit2

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.5.2-1mdk
- Release 2.5.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.5.1-1mdk
- Release 2.5.1
- Remove patch5 (merged upstream)

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.5.0-2mdk
- Patch0 (CVS) : Fix gravity handling (for xmms, gkrellm, ..)

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.5.0-1mdk
- Release 2.5.0
- Remove patch0 (merged upstream)

* Wed Mar 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.4.34-3mdk
- Patch5 : fix Mdk bug 1961 (ksnapshot freezing desktop)

* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.34-2mdk
- Update patch 2 to use galaxy

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.34-1mdk
- Release 2.4.34
- Regenerate patch2

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.21-1mdk
- Release 2.4.21

* Fri Jan 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.13-1mdk
- Release 2.4.13
- Regenerate patch 4
- Remove patch6 (merged upstream)

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.8-1mdk
- Release 2.4.8

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.5-1mdk
- Release 2.4.5
- Remove patch5 (merged upstream)

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-3mdk
- Rebuild with startup-notification support
- Remove menu entry (GNOME control center has now its own dialog)
- Patch6: use Alt as default mouse button modifier

* Fri Nov  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-2mdk
- Patch5 (CVS): filter out windows that aren't in the stack 
  for whatever reason, avoiding crash

* Thu Nov  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-1mdk
- Release 2.4.3
- Regenerate patch4

* Wed Oct 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.4.1-4mdk
- add patch (patch4) from Gentoo folks (thx Gerk) for PPC build

* Fri Oct 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-3mdk
- Rename Bluecurve to Wonderland (don't use RH tm)

* Tue Oct  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-2mdk
- Add Bluecurve theme

* Tue Sep 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1 (same as previous snapshot)
- Regenerate patch0 (partially merged upstream)

* Fri Sep  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2.20020906.1mdk
- New snapshot (fix bugs #92057, #86059)
- Update patch 2 to fix Crux theme (minor glitch on small dialog)

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2.20020828.1mdk
- Update source to CVS snapshot (fix a lot of bugs..)
- Regenerate patches 2 & 3

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Patch3: let metacity use its own font setting

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- Add menu entry
- Remove patches 0 & 1 (merged upstream)

* Mon Jul 24 2002 Stefan van der Eijk <stefan@eijk.nu> 2.3.987-3mdk
- BuildRequires

* Fri Jul 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.987-2mdk
- Patch1 (CVS): fix focus on new window
- Patch2: use Crux as default theme

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.987-1mdk
- Release 2.3.987
- Patch0: add Alt-F4 keybinding to close window

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.610-1mdk
- Release 2.3.610

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.233-1mdk
- First Mdk package

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 2.3.233

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- add gconf schemas boilerplate

* Mon Apr 15 2002 Havoc Pennington <hp@pobox.com>
- 2.3.89

* Tue Oct 30 2001 Havoc Pennington <hp@redhat.com>
- 2.3.34

* Fri Oct 13 2001 Havoc Pennington <hp@redhat.com>
- 2.3.21 

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- 2.3.8
- 2.3.13

* Wed Sep  5 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


